import { Surfaces } from "../../surfaces.js";
import { z } from "zod";
export declare const UI_EXTENSION_HOST_INITIALIZE_EVENT_TYPE = "NF::EUI_HOST::INITIALIZE";
export declare const UIExtensionHostInitializeEventSchema: z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_HOST::INITIALIZE">;
    data: z.ZodObject<{
        context: z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodDefault<z.ZodNullable<z.ZodString>>;
                providerToken: z.ZodDefault<z.ZodNullable<z.ZodString>>;
                providerTokens: z.ZodDefault<z.ZodArray<z.ZodObject<{
                    externalId: z.ZodString;
                    token: z.ZodString;
                    connectionId: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }, {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }>, "many">>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            }, {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
                providerTokens?: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[] | undefined;
            }>;
            configurationId: z.ZodDefault<z.ZodNullable<z.ZodString>>;
            dataLayerId: z.ZodDefault<z.ZodNullable<z.ZodString>>;
            projectId: z.ZodDefault<z.ZodNullable<z.ZodString>>;
            siteId: z.ZodDefault<z.ZodNullable<z.ZodString>>;
            teamId: z.ZodDefault<z.ZodNullable<z.ZodString>>;
            theme: z.ZodEnum<["light", "dark"]>;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            };
            configurationId: string | null;
            dataLayerId: string | null;
            projectId: string | null;
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        }, {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
                providerTokens?: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[] | undefined;
            };
            theme: "light" | "dark";
            configurationId?: string | null | undefined;
            dataLayerId?: string | null | undefined;
            projectId?: string | null | undefined;
            siteId?: string | null | undefined;
            teamId?: string | null | undefined;
        }>;
        extension: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            slug: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            slug: string;
        }, {
            id: string;
            name: string;
            slug: string;
        }>;
        surface: z.ZodObject<{
            name: z.ZodNativeEnum<typeof Surfaces>;
        }, "strip", z.ZodTypeAny, {
            name: Surfaces;
        }, {
            name: Surfaces;
        }>;
    }, "strip", z.ZodTypeAny, {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            };
            configurationId: string | null;
            dataLayerId: string | null;
            projectId: string | null;
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: Surfaces;
        };
    }, {
        context: {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
                providerTokens?: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[] | undefined;
            };
            theme: "light" | "dark";
            configurationId?: string | null | undefined;
            dataLayerId?: string | null | undefined;
            projectId?: string | null | undefined;
            siteId?: string | null | undefined;
            teamId?: string | null | undefined;
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: Surfaces;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    data: {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            };
            configurationId: string | null;
            dataLayerId: string | null;
            projectId: string | null;
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: Surfaces;
        };
    };
    type: "NF::EUI_HOST::INITIALIZE";
}, {
    data: {
        context: {
            auth: {
                netlifyToken?: string | null | undefined;
                providerToken?: string | null | undefined;
                providerTokens?: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[] | undefined;
            };
            theme: "light" | "dark";
            configurationId?: string | null | undefined;
            dataLayerId?: string | null | undefined;
            projectId?: string | null | undefined;
            siteId?: string | null | undefined;
            teamId?: string | null | undefined;
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: Surfaces;
        };
    };
    type: "NF::EUI_HOST::INITIALIZE";
}>;
export type UIExtensionHostInitializeEvent = z.output<typeof UIExtensionHostInitializeEventSchema>;
export declare const createUIExtensionHostInitializeEvent: (data: UIExtensionHostInitializeEvent["data"]) => UIExtensionHostInitializeEvent;
//# sourceMappingURL=initialize.d.ts.map