import fc from "fast-check";
import { Surfaces } from "../surfaces.js";
import { type UIExtensionHostInitializeEvent } from "./main.js";
export declare const SurfaceArbitrary: fc.Arbitrary<Surfaces>;
export declare const UIExtensionHostInitializeEventDataContextAuthArbitrary: fc.Arbitrary<{
    netlifyToken: string | null;
    providerToken: string | null;
    providerTokens: {
        externalId: string;
        token: string;
        connectionId: string;
    }[];
}>;
export declare const UIExtensionHostInitializeEventDataContextArbitrary: fc.Arbitrary<{
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
        providerTokens: {
            externalId: string;
            token: string;
            connectionId: string;
        }[];
    };
    configurationId: string | null;
    dataLayerId: string | null;
    projectId: string | null;
    siteId: string | null;
    teamId: string | null;
    theme: "light" | "dark";
}>;
export declare const UIExtensionHostInitializeEventDataExtensionArbitrary: fc.Arbitrary<{
    id: string;
    name: string;
    slug: string;
}>;
export declare const UIExtensionHostInitializeEventDataSurfaceArbitrary: fc.Arbitrary<{
    name: Surfaces;
}>;
export declare const UIExtensionHostInitializeEventDataArbitrary: fc.Arbitrary<{
    context: {
        auth: {
            netlifyToken: string | null;
            providerToken: string | null;
            providerTokens: {
                externalId: string;
                token: string;
                connectionId: string;
            }[];
        };
        configurationId: string | null;
        dataLayerId: string | null;
        projectId: string | null;
        siteId: string | null;
        teamId: string | null;
        theme: "light" | "dark";
    };
    extension: {
        id: string;
        name: string;
        slug: string;
    };
    surface: {
        name: Surfaces;
    };
}>;
export declare const UIExtensionHostInitializeEventArbitrary: fc.Arbitrary<{
    data: {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
                providerTokens: {
                    externalId: string;
                    token: string;
                    connectionId: string;
                }[];
            };
            configurationId: string | null;
            dataLayerId: string | null;
            projectId: string | null;
            siteId: string | null;
            teamId: string | null;
            theme: "light" | "dark";
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
        surface: {
            name: Surfaces;
        };
    };
    type: "NF::EUI_HOST::INITIALIZE";
}>;
export declare const createMockUIExtensionHostInitializeEvent: (overrides?: Partial<UIExtensionHostInitializeEvent>) => UIExtensionHostInitializeEvent;
//# sourceMappingURL=mocks.d.ts.map